## ros-iron-rclcpp-cascade-lifecycle 1.0.4

=== test/CMakeLists.txt ===
ament_add_gtest(
  rclcpp_cascade_lifecycle_test rclcpp_cascade_lifecycle_test.cpp
  TIMEOUT 120
)
ament_target_dependencies(rclcpp_cascade_lifecycle_test ${dependencies})
target_link_libraries(rclcpp_cascade_lifecycle_test ${PROJECT_NAME})

=== debian/changelog ===
ros-iron-rclcpp-cascade-lifecycle (1.0.4-1jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Fri, 14 Jul 2023 22:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (1.0.3-1jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Fri, 14 Jul 2023 22:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (1.0.2-1jammy) jammy; urgency=high

  * Fix new deactivation publishers policy
  * Contributors: Francisco Martín Rico

 -- fmrico <fmrico@gmail.com>  Fri, 30 Dec 2022 23:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (1.0.1-1jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (1.0.0-1jammy) jammy; urgency=high

  * Add support for namespace&Fix CI
    1. add support for namespace & test code
    2. fix CI config to v0.2
  * Dynamic add/remove deps
  * Contributors: Francisco Martin Rico, Francisco Martín Rico, Homalozoa

 -- fmrico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (0.0.5-1jammy) jammy; urgency=high

  * Fix shared_ptr ambiguous error
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (0.0.4-1jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (0.0.3-1jammy) jammy; urgency=high

  * Installing headers and libs
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add license
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Sat, 21 Mar 2020 23:00:00 -0000

ros-iron-rclcpp-cascade-lifecycle (0.0.2-1jammy) jammy; urgency=high

  * Adding CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Complete functional version
  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Thu, 12 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-iron-rclcpp-cascade-lifecycle
Section: misc
Priority: optional
Maintainer: fmrico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cascade-lifecycle-msgs, ros-iron-lifecycle-msgs, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rclcpp-cascade-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-cascade-lifecycle-msgs, ros-iron-lifecycle-msgs, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: Provides a mechanism to make trees of lifecycle nodes to propagate state changes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rclcpp-cascade-lifecycle//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
